using System;
using System.CodeDom;

namespace OOCodeDOM
{
	public class Namespace: CodeNamespace
	{
		public Namespace (string n) :
			base(n)
		{
		}

		public static Namespace operator + (Namespace ns, Type t)
		{
			ns.Types.Add(t);

			return ns;
		}
	}
}
